# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "mockumentary"
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Kane Baccigalupi"]
  s.date = "2011-11-29"
  s.description = "    With the happy proliferation of TDD, test suites are getting massive, and developer efficiency is dwindling\n    as we wait for our tests to pass. There is a big tradeoff between making unit test more integrationish (and therefore more reliable) vs.\n    making them very mocky, unity and fast. Mockumentary is a library for the later. It inspects the ActiveRecord universe and\n    makes a series of AR mockeries that approximate model without hitting the database, or making any assertions. The assertions,\n    they are still part of the developers job.\n    \n    Mocumentary has two types of AR mockeries: One is used within the Rails universe. It uses introspection to derive association\n    and field information. The second is a static copy built from the first. This static version can be used outside the Rails\n    test universe in a suite faster than the speed of Rails environment load time.\n    \n    Mocking isn't for everyone, so test-drive responsibly.\n"
  s.email = "baccigalupi@gmail.com"
  s.extra_rdoc_files = [
    "LICENSE.txt",
    "README.rdoc"
  ]
  s.files = [
    ".document",
    ".rspec",
    "Gemfile",
    "Gemfile.lock",
    "LICENSE.txt",
    "README.rdoc",
    "Rakefile",
    "VERSION",
    "lib/mockumentary.rb",
    "lib/mockumentary/active_record.rb",
    "lib/mockumentary/collection.rb",
    "lib/mockumentary/data.rb",
    "lib/mockumentary/mockery.rb",
    "lib/mockumentary/mocksimile.rb",
    "lib/mockumentary/model.rb",
    "mockumentary.gemspec",
    "spec/fixtures/app/models/event.rb",
    "spec/fixtures/app/models/event/follow.rb",
    "spec/fixtures/app/models/event_resource.rb",
    "spec/fixtures/app/models/foo.rb",
    "spec/fixtures/app/models/task.rb",
    "spec/fixtures/app/models/user.rb",
    "spec/fixtures/config/.gitkeep",
    "spec/fixtures/db/schema.rb",
    "spec/mockery/active_record_spec.rb",
    "spec/mockery/collection_spec.rb",
    "spec/mockery/data_spec.rb",
    "spec/mockery/mockery_spec.rb",
    "spec/mockery/mockumentary_spec.rb",
    "spec/mockery/spec_helper.rb",
    "spec/mocksimile/mocksimile_spec.rb",
    "spec/mocksimile/mockumentary_spec.rb",
    "spec/mocksimile/spec_helper.rb"
  ]
  s.homepage = "http://github.com/baccigalupi/mockumentary"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.10"
  s.summary = "An ActiveRecord mocking framework, for making your copius BDD rails tests not quite so slow"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activesupport>, [">= 2.3.5"])
      s.add_runtime_dependency(%q<hashie>, [">= 0"])
      s.add_runtime_dependency(%q<faker>, [">= 0"])
      s.add_development_dependency(%q<activerecord>, ["~> 3.1.1"])
      s.add_development_dependency(%q<sqlite3>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.3.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
      s.add_development_dependency(%q<jeweler>, ["~> 1.6.4"])
    else
      s.add_dependency(%q<activesupport>, [">= 2.3.5"])
      s.add_dependency(%q<hashie>, [">= 0"])
      s.add_dependency(%q<faker>, [">= 0"])
      s.add_dependency(%q<activerecord>, ["~> 3.1.1"])
      s.add_dependency(%q<sqlite3>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2.3.0"])
      s.add_dependency(%q<bundler>, ["~> 1.0.0"])
      s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
    end
  else
    s.add_dependency(%q<activesupport>, [">= 2.3.5"])
    s.add_dependency(%q<hashie>, [">= 0"])
    s.add_dependency(%q<faker>, [">= 0"])
    s.add_dependency(%q<activerecord>, ["~> 3.1.1"])
    s.add_dependency(%q<sqlite3>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2.3.0"])
    s.add_dependency(%q<bundler>, ["~> 1.0.0"])
    s.add_dependency(%q<jeweler>, ["~> 1.6.4"])
  end
end

